XULRUNNER-@GRE_VERSION@(1)

NAME
xulrunner-@GRE_VERSION@ - a XUL + XPCOM application runner

SYNOPSIS
xulrunner-@GRE_VERSION@ [OPTIONS] xulrunner-@GRE_VERSION@ [OPTIONS] APP-FILE [APP-OPTIONS]

DESCRIPTION
XULRunner is a single "gecko runtime" that can be used to bootstrap multiple XUL + XPCOM applications that are as rich as Firefox and Thunderbird.

OPTIONS
A summary of the options directly supported by xulrunner-@GRE_VERSION@ is included below.

  X11 options

--display=DISPLAY
    X display to use

--sync
    Make X calls synchronous

--no-xshm
    Don't use X shared memory extension

--xim-preedit=STYLE

--xim-status=STYLE

--g-fatal-warnings
    Make all warnings fatal

  Xulrunner options

-h, -help
    Show summary of options.

-v, -version
    Print XULRunner version.

--gre-version
    Print the GRE version string on stdout.

--find-gre VERSION
    Find a GRE with version <version> and print its path on stdout.

--install-app APPLICATION [DESTINATION [DIRECTORYNAME]]
    Install a XUL application at the given destination, with the given directory name.

-g, -debug
    Starts XULRunner through a debugger (gdb by default).

--debugger program
    Use program as a debugger for XULRunner. Implies -debug.

APP-FILE
The app-file is a manifest, located at the root of the application and provides metadata that allows XULRunner to launch the application properly. It must be named application.ini. It is parsed as a INI style with [Headings] and Key=Value pairs. Lines beginning with ; or # are treated as comments. Its format is further described on https://developer.mozilla.org/en/XUL_Application_Packaging#application.ini.

APP-OPTIONS
Any option following the application.ini file path will be fed by XULRunner to the application. As such, these options are dependent on the application.

ENVIRONMENT
MOZILLA_DISABLE_PLUGINS - when set, totally disables loading browser plugins (the ones that appear at the about:plugins url)

BUGS
To report a bug, please visit http://bugzilla.mozilla.org/ and/or report bugs to the Debian Bug Tracking System, as usual.

AUTHORS

The Mozilla Organization
    http://www.mozilla.org/about.html